#
# spec file for package perl-CPAN-Meta-YAML
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-CPAN-Meta-YAML
Version:        0.018
Release:        27.1
%define cpan_name CPAN-Meta-YAML
Summary:        Read and write a subset of YAML for CPAN Meta files
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/CPAN-Meta-YAML/
Source0:        http://www.cpan.org/authors/id/D/DA/DAGOLDEN/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(File::Temp) >= 0.19
BuildRequires:  perl(JSON::PP)
BuildRequires:  perl(Test::More) >= 0.88
%{perl_requires}

%description
This module implements a subset of the YAML specification for use in
reading and writing CPAN metadata files like _META.yml_ and _MYMETA.yml_.
It should not be used for any other general YAML parsing or generation
task.

NOTE: _META.yml_ (and _MYMETA.yml_) files should be UTF-8 encoded. Users
are responsible for proper encoding and decoding. In particular, the 'read'
and 'write' methods do *not* support UTF-8 and should not be used.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Sun Dec 13 2015 coolo@suse.com
- updated to 0.018
  see /usr/share/doc/packages/perl-CPAN-Meta-YAML/Changes
  0.018     2015-12-11 11:55:44-05:00 America/New_York
  - Generated from ETHER/YAML-Tiny-1.69.tar.gz
  - See https://metacpan.org/changes/release/ETHER/YAML-Tiny-1.69 for details
  0.017     2015-08-04 06:02:12-04:00 America/New_York (TRIAL RELEASE)
  - Generated from ETHER/YAML-Tiny-1.69.tar.gz
* Wed May 20 2015 coolo@suse.com
- updated to 0.016
  see /usr/share/doc/packages/perl-CPAN-Meta-YAML/Changes
  0.016     2015-05-19 05:34:02-04:00 America/New_York
  - Generated from ETHER/YAML-Tiny-1.67.tar.gz
  0.015     2015-05-11 22:01:58-04:00 America/New_York (TRIAL RELEASE)
  - Generated from ETHER/YAML-Tiny-1.67.tar.gz
* Thu Apr 16 2015 coolo@suse.com
- updated to 0.014
  see /usr/share/doc/packages/perl-CPAN-Meta-YAML/Changes
  0.014     2015-03-16 19:22:12-04:00 America/New_York
  - Generated from ETHER/YAML-Tiny-1.66.tar.gz
  0.013     2015-03-16 11:32:04-04:00 America/New_York
  - Generated from ETHER/YAML-Tiny-1.65.tar.gz
* Fri Mar  7 2014 coolo@suse.com
- updated to 0.012
  - Generated from ETHER/YAML-Tiny-1.61.tar.gz
* Fri Oct  4 2013 coolo@suse.com
- updated to 0.010
  - Generated from ETHER/YAML-Tiny-1.55.tar.gz
  - Fix broken test when copying from YAML-Tiny
  - updated Makefile.PL logic to support PERL_NO_HIGHLANDER
  - Generated from ETHER/YAML-Tiny-1.55.tar.gz
  - Makefile.PL will use UNINST=1 on old perls that might have
    an old version incorrectly installed into the core library path
* Tue Jun 11 2013 coolo@suse.com
- rebuild for fixed perl macros
* Wed Apr 18 2012 tabraham@novell.com
- updated to 0.008
  - Updated from YAML-Tiny to fix compatibility with older Scalar::Utils
* Mon Feb 13 2012 coolo@suse.com
- updated to 0.007
  - Documentation fix to replace missing abstract
  - Set back configure_requires prerequisite for ExtUtils::MakeMaker
    from 6.30 to 6.17 (per request from Andreas Koenig)
  - Fix documentation to clarify that users are responsible for
    UTF-8 encoding/decoding
* Tue Oct 25 2011 tabraham@novell.com
- updated to 0.004
  * Generated from ADAMK/YAML-Tiny-1.50.tar.gz
* Wed Aug 24 2011 chris@computersalat.de
- fix build for
  * RHEL, CentOS, SLE_10 (ExtUtils::MakeMaker 6.30)
* Fri Apr  1 2011 coolo@novell.com
- initial package 0.003
  * created by cpanspec 1.78.03
